WordPress子テーマ作成で「以下のテーマはインストールされていますが不完全です。」が出たとき

wordpress子テーマ

こんなエラーメッセージがでた

壊れているテーマ

以下のテーマはインストールされていますが不完全です。テーマにはスタイルシートとテンプレートが一つずつ必要です。

こんな時は何がダメなのか

大体こういうエラーが出るときは、
子テーマのstyle.cssの記述が間違っている可能性があります。

これが正しい記述

/*
Theme Name: XeoryBase-child
Template: xeory_base
Author: bugpixel
Version: 1.0.0
*/

よくやる間違え

Template: xeory_base

ここのTemplateの名前を間違えることが多いと思います。

WordPressのテーマに表示されている名前ではなく、
wp-content – themes にあるフォルダ名にしてください!!

ad